Bug 3789 - [UPDATE REQUEST] grub2-2.00-40
: [UPDATE REQUEST] grub2-2.00-40
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 13:27 MSK by Aleksandr Kazantcev
Modified: 2014-02-28 14:08 MSK (History)
3 users (show)

See Also:
RPM Package: https://abf.rosalinux.ru/import/grub2
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
start error (1.77 MB, image/jpeg)
2014-02-24 14:23 MSK, Vladimir Potapov
Details
start error (109.71 KB, image/jpeg)
2014-02-24 14:27 MSK, Vladimir Potapov
Details
grub.cfg (552.83 KB, application/octet-stream)
2014-02-24 14:49 MSK, Vladimir Potapov
Details
grub.cfg.beforeupdate (552.62 KB, application/octet-stream)
2014-02-24 16:23 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2014-02-20 13:27:56 MSK
Fix 'resume' for hibernate
Comment 1 Aleksandr Kazantcev 2014-02-20 13:29:33 MSK
https://abf.rosalinux.ru/build_lists/1647791
https://abf.rosalinux.ru/build_lists/1647792

Advisory: This update fix 'resume' options for enable hibernate:

1. Use first swap for default (priority -1)
2. Works with swap files and partitions
3. Support sdx and dm-x device for swap (LVM, raid).
Comment 3 Vladimir Potapov 2014-02-24 14:23:22 MSK
Created attachment 2671 [details]
start error

100% grub-related error.
Comment 4 Vladimir Potapov 2014-02-24 14:27:18 MSK
Created attachment 2672 [details]
start error

Sorry, it's real error's screenshot
Comment 5 Aleksandr Kazantcev 2014-02-24 14:31:03 MSK
Please provide you grub2.cfg after update.
Comment 6 Vladimir Potapov 2014-02-24 14:49:10 MSK
Created attachment 2673 [details]
grub.cfg
Comment 7 Aleksandr Kazantcev 2014-02-24 15:14:01 MSK
And swapon -s
Comment 8 Vladimir Potapov 2014-02-24 15:51:53 MSK
Filename                                Type            Size    Used    Priority
/dev/sda5                               partition       4087272 0       -1
/dev/sda14                              partition       4087448 0       -2
Comment 9 Aleksandr Kazantcev 2014-02-24 15:53:09 MSK
What output of


swapon -s -p -1

?
Comment 10 Aleksandr Kazantcev 2014-02-24 15:53:31 MSK
And current grub2,cfg (before update) ?
Comment 11 Vladimir Potapov 2014-02-24 16:21:43 MSK
(In reply to comment #9)
> What output of
> 
> 
> swapon -s -p -1
> 
> ?

# swapon -s -p -1
Filename                                Type            Size    Used    Priority
/dev/sda14                              partition       4087448 0       -1
/dev/sda5                               partition       4087272 0       -2
Comment 12 Vladimir Potapov 2014-02-24 16:23:08 MSK
Created attachment 2674 [details]
grub.cfg.beforeupdate
Comment 13 Aleksandr Kazantcev 2014-02-24 17:16:59 MSK
https://abf.rosalinux.ru/build_lists/1657879
https://abf.rosalinux.ru/build_lists/1657880

Advisory: This update fix 'resume' options for enable hibernate:

1. Use first swap for default 
2. Works with swap files and partitions
3. Support sdx and dm-x device for swap (LVM, raid).
Comment 14 Aleksandr Kazantcev 2014-02-25 11:44:23 MSK
https://abf.rosalinux.ru/build_lists/1658297
https://abf.rosalinux.ru/build_lists/1658298

try this package - in some machines with systemd 208 string 'init=/lib/systemd/systemd' break boot. This build fix this.
Comment 15 Vladimir Potapov 2014-02-25 12:47:34 MSK
The update route to extended testing
Comment 16 Postnikov Dmitry 2014-02-26 00:52:57 MSK
f(In reply to comment #14)
> https://abf.rosalinux.ru/build_lists/1658297
> https://abf.rosalinux.ru/build_lists/1658298
> 
> try this package - in some machines with systemd 208 string
> 'init=/lib/systemd/systemd' break boot. This build fix this.

После обновления:
1. Строчки 'init=/lib/systemd/systemd' не наблюдаю
2. Диск без LVM. 
а)Был swap раздел с UUID=954f3c7e-.... 
б)Я подключил и включил swapfile. 
в)Потом удалил раздел swap. 
г)Потом update-grub2. В grub.cfg прописался resume_ofset=931821 и resume=UUID=2342ae-... с моим / разделом на котором swapfile. Все ОК.
Но после перезагрузки вылетел в dracut. Потому что dracut откуда-то нашел мой СТАРЫЙ UUID swap раздела. Посмотрел в grub.cfg там нет ничего от убитого swap раздела. Не понятно откуда dracut опять взял указание на старый раздел.

Вообщем не загружается система.
Comment 17 Postnikov Dmitry 2014-02-26 01:44:10 MSK
(In reply to comment #16)
> f(In reply to comment #14)
> > https://abf.rosalinux.ru/build_lists/1658297
> > https://abf.rosalinux.ru/build_lists/1658298
> > 
> > try this package - in some machines with systemd 208 string
> > 'init=/lib/systemd/systemd' break boot. This build fix this.
> 
> После обновления:
> 1. Строчки 'init=/lib/systemd/systemd' не наблюдаю
> 2. Диск без LVM. 
> а)Был swap раздел с UUID=954f3c7e-.... 
> б)Я подключил и включил swapfile. 
> в)Потом удалил раздел swap. 
> г)Потом update-grub2. В grub.cfg прописался resume_ofset=931821 и
> resume=UUID=2342ae-... с моим / разделом на котором swapfile. Все ОК.
> Но после перезагрузки вылетел в dracut. Потому что dracut откуда-то нашел
> мой СТАРЫЙ UUID swap раздела. Посмотрел в grub.cfg там нет ничего от убитого
> swap раздела. Не понятно откуда dracut опять взял указание на старый раздел.
> 
> Вообщем не загружается система.

Посмотрел fstav там тоже ничего нет про UUID убитого раздела swap, только стандартаня строка /swapfile swap swap defaults 0 0
Зашел с LiveCD, подмонтировал раздел, сменил chroot, перегенерил dracut -f.
Перезагрузился. Бесполезно, всеравно dracut ругается на:
dracut Warning: /dev/disk/by-uuid/954f3c7-..... does not exist
(этот uuid моего убитого swap раздела)
Не понятно, откуда все же он его берет. Или в systemd где-то "зашит" этот uuid свап-раздела?
Comment 18 Aleksandr Kazantcev 2014-02-26 07:59:15 MSK
init счас не надо. По остальному - граб отработал как надо, а вот dracut нет - но это ошибка драката, а не граба.
Comment 19 Vladimir Potapov 2014-02-26 08:19:27 MSK
(In reply to comment #18)
> init счас не надо. По остальному - граб отработал как надо, а вот dracut нет
> - но это ошибка драката, а не граба.
Предлагаю тогда починить дракут, а потом уже обновлять. Зачем неработающее к пользователям гонять?
Comment 20 Aleksandr Kazantcev 2014-02-26 08:45:31 MSK
Это разные вещи. Причем не связанные вообще. Пользователи как ты делать не будут и не будут ломать систему.
Comment 21 Vladimir Potapov 2014-02-26 09:59:54 MSK
(In reply to comment #20)
> Это разные вещи. Причем не связанные вообще. Пользователи как ты делать не
> будут и не будут ломать систему.
Для пользователей что-то улучшится после этого обновления?
Comment 22 Aleksandr Kazantcev 2014-02-26 11:18:58 MSK
У пользователей с LVM и свапом в файле + на EFI системах заработает по дефолту гибернация.
Comment 23 Vladimir Potapov 2014-02-26 11:26:00 MSK
Дмитрий, у тебя EFI. Вот это и нужно проверить.
Comment 24 Postnikov Dmitry 2014-02-26 11:29:04 MSK
(In reply to comment #23)
> Дмитрий, у тебя EFI. Вот это и нужно проверить.

Ну я и проверил на EFI. Выше описал что получилось. Касяк dacut и все застопорилось. Мне не проверить дальше как свап-файл отрабатывается в гибернации.
Comment 25 Postnikov Dmitry 2014-02-26 11:32:35 MSK
(In reply to comment #24)
> (In reply to comment #23)
> > Дмитрий, у тебя EFI. Вот это и нужно проверить.
> 
> Ну я и проверил на EFI. Выше описал что получилось. Касяк dacut и все
> застопорилось. Мне не проверить дальше как свап-файл отрабатывается в
> гибернации.

Кстати на стационарнике у меня гибернация вообще не работает. Столько suspend. Если запустить systemctl hibernate отрубается только монитор, а сам блок системный так и работает. Выход из такого режима только кнопка reset на блоке.
Comment 26 Alexander Burmashev 2014-02-26 11:45:30 MSK
Сам по себе "дракут", а точнее инитрд, ничего найти не мог.
Более того в инитрд даже не хранится инфа о разделах, вообще.
Когда он падает, сделайте скриншот ошибки + скриншот cat /proc/cmdline из отладочной строки.
Comment 27 Postnikov Dmitry 2014-02-26 12:48:06 MSK
(In reply to comment #26)
> Сам по себе "дракут", а точнее инитрд, ничего найти не мог.
> Более того в инитрд даже не хранится инфа о разделах, вообще.
> Когда он падает, сделайте скриншот ошибки + скриншот cat /proc/cmdline из
> отладочной строки.

http://yadi.sk/d/tlJja2nVJZprq
Comment 28 Alexander Burmashev 2014-02-26 15:28:19 MSK
А добавь еще rd.debug в строчку загрузки, /proc/cmdline и blkid не надо.
Comment 29 Postnikov Dmitry 2014-02-26 15:51:01 MSK
(In reply to comment #28)
> А добавь еще rd.debug в строчку загрузки, /proc/cmdline и blkid не надо.

Да, уже пробовал, там каждые 0,5 сек идет происк /dev/disk/by-uuid/945....
карочи этого убитого swap-раздела. А в конце тоже самое.
Comment 30 Alexander Burmashev 2014-02-26 15:51:28 MSK
А инитрд залей свой куда-нибудь.
Comment 31 Postnikov Dmitry 2014-02-26 18:44:58 MSK
(In reply to comment #30)
> А инитрд залей свой куда-нибудь.

http://yadi.sk/d/12yG5IbiJb2Vt
http://yadi.sk/d/ZZl7eHEsJb2ZA
Comment 32 Postnikov Dmitry 2014-02-26 20:34:53 MSK
(In reply to comment #31)
> (In reply to comment #30)
> > А инитрд залей свой куда-нибудь.
> 
> http://yadi.sk/d/12yG5IbiJb2Vt
> http://yadi.sk/d/ZZl7eHEsJb2ZA

А в Виртуалке Граб2 не отработал нормально. Я все те же операции проделал. Но... загрузился.
http://yadi.sk/d/SZt-BJv4JbNzK

Вообщем не понятная ситуация.
Comment 33 Postnikov Dmitry 2014-02-26 21:08:15 MSK
(In reply to comment #32)
> (In reply to comment #31)
> > (In reply to comment #30)
> > > А инитрд залей свой куда-нибудь.
> > 
> > http://yadi.sk/d/12yG5IbiJb2Vt
> > http://yadi.sk/d/ZZl7eHEsJb2ZA
> 
> А в Виртуалке Граб2 не отработал нормально. Я все те же операции проделал.
> Но... загрузился.
> http://yadi.sk/d/SZt-BJv4JbNzK
> 
> Вообщем не понятная ситуация.

Еще раз в виртуалке попробовал. Теперь Граб прописал uuid но НЕ прописал resume_offset.
http://yadi.sk/d/mZe8soVOJbXVT

Как-то не стабильно он работает.
На реальном компе у меня одна ситуация, на первой виртуалке вторая, на этой виртуалке треться истуация. Стабильности нет никакой.
Comment 34 Aleksandr Kazantcev 2014-02-26 21:12:55 MSK
Вопрос - что ты делаешь. То есть смотри как работает установка параметров - идет проверка swapon -s и берется первое значение.

Если там partition, то проверяется sdx или dmx и прописывается resume=UUID

если там file - то прописывается  resume + параметры файла.

То есть если ты что-то меняешь, но не переинициализировал swap в системе и swapon не выдает измененное значение, то что ты ожидаешь?

Создавая к примеру файл после раздела, ты автоматом получаешь для него -2 и второе место. То есть надо удалить swap, потом изменить приоритет использования к слову.

В 99% случаев все работает и не дает сбоев. 1% изврата отслеживать я не вижу смысла.
Comment 35 Postnikov Dmitry 2014-02-26 21:20:59 MSK
(In reply to comment #34)

> Создавая к примеру файл после раздела, ты автоматом получаешь для него -2 и
> второе место. То есть надо удалить swap, потом изменить приоритет
> использования к слову.
> 
> В 99% случаев все работает и не дает сбоев. 1% изврата отслеживать я не вижу
> смысла.

Давай так, пришел юзер, взял систему поставил. Захотелось ему swap раздел грохнуть и сделать swap-файл. (малоли ... места нужно ему)
Он (например) делает как я: создает свап файл, потом грохает свап раздел и по идее должен быть доволен. Но... получается что он (и я) не правильно делаем?

Хорошо, тогда какова последовательность действий перекочевания на свап файл с свап раздела? Что юзеру (и мне) надо сделать? И как вообще о этой последовательности узнает юзер?
Comment 36 Aleksandr Kazantcev 2014-02-26 21:26:09 MSK
Вот ты уже сломал систему...

Ты обязан через swapoff выключить старый раздел, через swapon добавить файл. Тогда у тебя будет верное значение в списке swap. Потом перегенерить grub.cfg Если ты это не сделаешь, то от создания swap раздела будет ноль толку. Система начнет искать числящийся в базе swap раздел и глюкнет.

Но загрузиться система в этом случае загрузится (если неверное что-то будет в граб). А вот если ты раздел не вырубишь и грохнешь, тогда глюк явно будет.
Comment 37 Aleksandr Kazantcev 2014-02-26 21:26:56 MSK
Про то что юзверь НЕ ДОЛЖЕН лезть и делать такие вещи без подготовки молчу. Систему для идиотов будет использовать только 100% идиот - закон Мерфи.
Comment 38 Aleksandr Kazantcev 2014-02-26 21:26:58 MSK
Про то что юзверь НЕ ДОЛЖЕН лезть и делать такие вещи без подготовки молчу. Систему для идиотов будет использовать только 100% идиот - закон Мерфи.
Comment 39 Postnikov Dmitry 2014-02-26 22:25:20 MSK
(In reply to comment #36)
> Вот ты уже сломал систему...
> 
> Ты обязан через swapoff выключить старый раздел, через swapon добавить файл.
> Тогда у тебя будет верное значение в списке swap. Потом перегенерить
> grub.cfg Если ты это не сделаешь, то от создания swap раздела будет ноль
> толку. Система начнет искать числящийся в базе swap раздел и глюкнет.
> 
> Но загрузиться система в этом случае загрузится (если неверное что-то будет
> в граб). А вот если ты раздел не вырубишь и грохнешь, тогда глюк явно будет.

Уже переставил систему.
Сначала отключил свап раздел, создал свап файл, подключил, update-grub2, перезагрузился, удалил свап раздел, update-grub2, перегрузился. 
Все ОК.
Гибернация и Сон с свап-файлом работают. И Граб все нормально прописал в grub.cfg

Но... на стационарнике не пашет гибернация, и когда делаешь update-grub2 то почему-то 2 раза перегенерация grub.cfg идет.
Comment 40 Vladimir Potapov 2014-02-27 04:09:39 MSK
(In reply to comment #39)
> (In reply to comment #36)
> > Вот ты уже сломал систему...
> > 
> > Ты обязан через swapoff выключить старый раздел, через swapon добавить файл.
> > Тогда у тебя будет верное значение в списке swap. Потом перегенерить
> > grub.cfg Если ты это не сделаешь, то от создания swap раздела будет ноль
> > толку. Система начнет искать числящийся в базе swap раздел и глюкнет.
> > 
> > Но загрузиться система в этом случае загрузится (если неверное что-то будет
> > в граб). А вот если ты раздел не вырубишь и грохнешь, тогда глюк явно будет.
> 
> Уже переставил систему.
> Сначала отключил свап раздел, создал свап файл, подключил, update-grub2,
> перезагрузился, удалил свап раздел, update-grub2, перегрузился. 
> Все ОК.
> Гибернация и Сон с свап-файлом работают. И Граб все нормально прописал в
> grub.cfg
> 
> Но... на стационарнике не пашет гибернация, и когда делаешь update-grub2 то
> почему-то 2 раза перегенерация grub.cfg идет.

А раньше гибернация работала?
Comment 41 Aleksandr Kazantcev 2014-02-27 10:21:43 MSK
Еще и еще раз - на efi системах перегенерация grub2 идет ДВА РАЗА. Уже устал об этом повторять.

Гибернация может не работать на куче машин особенно если не работала ранее. Рекомендуют использовать hybrid-sleep в части случаев.
Comment 42 Aleksandr Kazantcev 2014-02-27 10:21:55 MSK
Еще и еще раз - на efi системах перегенерация grub2 идет ДВА РАЗА. Уже устал об этом повторять.

Гибернация может не работать на куче машин особенно если не работала ранее. Рекомендуют использовать hybrid-sleep в части случаев.
Comment 43 Postnikov Dmitry 2014-02-27 11:35:20 MSK
(In reply to comment #40)
> (In reply to comment #39)
> > (In reply to comment #36)
> > > Вот ты уже сломал систему...
> > > 
> > > Ты обязан через swapoff выключить старый раздел, через swapon добавить файл.
> > > Тогда у тебя будет верное значение в списке swap. Потом перегенерить
> > > grub.cfg Если ты это не сделаешь, то от создания swap раздела будет ноль
> > > толку. Система начнет искать числящийся в базе swap раздел и глюкнет.
> > > 
> > > Но загрузиться система в этом случае загрузится (если неверное что-то будет
> > > в граб). А вот если ты раздел не вырубишь и грохнешь, тогда глюк явно будет.
> > 
> > Уже переставил систему.
> > Сначала отключил свап раздел, создал свап файл, подключил, update-grub2,
> > перезагрузился, удалил свап раздел, update-grub2, перегрузился. 
> > Все ОК.
> > Гибернация и Сон с свап-файлом работают. И Граб все нормально прописал в
> > grub.cfg
> > 
> > Но... на стационарнике не пашет гибернация, и когда делаешь update-grub2 то
> > почему-то 2 раза перегенерация grub.cfg идет.
> 
> А раньше гибернация работала?

На systemd-204 работала с тем же 27ым ядром.
Comment 44 Vladimir Potapov 2014-02-27 13:50:09 MSK
(In reply to comment #43)

> > > Но... на стационарнике не пашет гибернация, и когда делаешь update-grub2 то
> > > почему-то 2 раза перегенерация grub.cfg идет.
> > 
> > А раньше гибернация работала?
> 
> На systemd-204 работала с тем же 27ым ядром.
Ммм.. я ж отправлял systemd тебе на доп. тест, почему только сейчас всплыло?
Впрочем, насколько понимаю, это ошибка не grub.
Comment 45 Aleksandr Kazantcev 2014-02-27 13:55:59 MSK
Вполне возможно что init=/lib/systems/systems решит проблему. Опять же на efi до этого resume не писалось вообще к примеру.
Comment 46 Postnikov Dmitry 2014-02-28 13:33:27 MSK
(In reply to comment #45)
> Вполне возможно что init=/lib/systems/systems решит проблему. Опять же на
> efi до этого resume не писалось вообще к примеру.

Не добавление init не решает проблему.

Насчет этого реквеста = Граб нормально ведет себя, все отрабатывает. Можно пропускать.
Comment 47 Vladimir Potapov 2014-02-28 14:06:46 MSK
grub2-2.00-43
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1658297/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1658298/x86_64/main/release/
**************************** Advisory ***************************
1. Use first swap for default 
2. Works with swap files and partitions
3. Support sdx and dm-x device for swap (LVM, raid).
****************************************************************
QA Verified